<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:vc="http://www.w3.org/2007/XMLSchema-versioning" xmlns:omds="urn:omds20" xmlns:cst="urn:omds3CommonServiceTypes-1-1-0" xmlns:ost="urn:omds3ServiceTypes-1-1-0" xmlns:ac="urn:at.vvo.omds.types.omds3types.v1-3-0.on2antrag.common" elementFormDefault="qualified" attributeFormDefault="unqualified" vc:minVersion="1.1">
	<xsd:import namespace="urn:omds20" schemaLocation="../omds29-00.xsd"/>
	<xsd:import namespace="urn:omds3CommonServiceTypes-1-1-0" schemaLocation="../omds3CommonServiceTypes.xsd"/>
	<xsd:import namespace="urn:omds3ServiceTypes-1-1-0" schemaLocation="../omds3ServiceTypes.xsd"/>
	<xsd:import namespace="urn:at.vvo.omds.types.omds3types.v1-3-0.on2antrag.common" schemaLocation="../omds3_ON2_Antrag_Common.xsd"/>
	<xsd:element name="ProduktAuskunft" type="ProduktAuskunft_Type">
		<xsd:annotation>
			<xsd:documentation>Comment describing your root element</xsd:documentation>
		</xsd:annotation>
	</xsd:element>
	<xsd:complexType name="ProduktAuskunft_Type">
		<xsd:complexContent>
			<xsd:extension base="cst:Verkaufsprodukt_Type">
				<xsd:sequence>
					<xsd:element name="Produkt" maxOccurs="unbounded">
						<xsd:complexType>
							<xsd:complexContent>
								<xsd:extension base="cst:Produkt_Type">
									<xsd:sequence>
										<xsd:element name="Elementarprodukt" type="cst:Elementarprodukt_Type"/>
									</xsd:sequence>
								</xsd:extension>
							</xsd:complexContent>
						</xsd:complexType>
					</xsd:element>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:element name="ProduktBaustein" type="ProduktBaustein_Type"/>
	<xsd:complexType name="ProduktBaustein_Type">
		<xsd:complexContent>
			<xsd:extension base="cst:Produktbaustein_Type">
				<xsd:sequence>
					<xsd:element name="Verkaufsbeginn" type="omds:Datum-Zeit"/>
					<xsd:element name="Verkaufsende" type="omds:Datum-Zeit" minOccurs="0"/>
					<xsd:element name="Generation" type="xsd:string"/>
					<xsd:element ref="ProduktBaustein" minOccurs="0" maxOccurs="unbounded"/>
				</xsd:sequence>
			</xsd:extension>
		</xsd:complexContent>
	</xsd:complexType>
	<xsd:complexType name="ProduktAuskunft2_Type">
		<xsd:annotation>
			<xsd:documentation>Beispiel mit neuen Produktbausteinen</xsd:documentation>
		</xsd:annotation>
		<xsd:complexContent>
			<xsd:extension base="ProduktBaustein_Type"/>
		</xsd:complexContent>
	</xsd:complexType>
</xsd:schema>
